import { axiosInstance, ApiBase } from "./common";

class MachinesApi extends ApiBase {
    list = async () => {
        return axiosInstance.get(`/machines`, {});
    };
    get = async (machineId) => {
        return axiosInstance.get(`/machines/${machineId}`, {});
    };
    listProducts = async (machineId) => {
        return axiosInstance.get(`/machines/${machineId}/products`, {});
    };
}

export const machinesApi = new MachinesApi();
